Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class AssertionWriter

    java.lang.Object
      org.codehaus.groovy.classgen.asm.AssertionWriter

    public class AssertionWriter
    extends java.lang.Object

Method Summary
`java.lang.Object` | `AssertionWriter(WriterController wc)`
`void` | `disableTracker()`
`void` | `record(Expression expression)`
`void` | `record(Token op)`
`void` | `reenableTracker()`
`void` | `writeAssertStatement(AssertStatement statement)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### AssertionWriter

    public java.lang.Object AssertionWriter(WriterController wc)

### disableTracker

    public void disableTracker()

### record

    public void record(Expression expression)

### record

    public void record(Token op)

### reenableTracker

    public void reenableTracker()

### writeAssertStatement

    public void writeAssertStatement(AssertStatement statement)

Groovy Documentation